Debian::WNPP::Query(3pm)

NAME
Debian::WNPP::Query - offline storage of Debian's work-needing package lists

SYNOPSIS
    my $wnpp = Debian::WNPP::Query->new(
        {   cache_dir       => '/somewhere',
            network_enabled => 0,
            ttl             => 3600 * 24,
            bug_types       => [qw( ITP RFP )]
        }
    );

    my @bugs = $wnpp->bugs_for_package('ken-lee');

DESCRIPTION
Debian::WNPP::Query provides a way to retrieve and cache the contents of Debian's "Work-needing and prospective packages" lists.

CONSTRUCTOR
new is the constructor. Initial field values are to be given as a hash reference.

If cache_file is given, it is read.

FIELDS

cache_file path
    The path to the file holding the offline cache of the WNPP lists. If not specified, no cache is read or written.

ttl seconds
    The time after which the on-disk cache is considered too old and WNPP pages are retrieved afresh. Ignored if cache_file is not defined. Defaults to 86400 (1 day).

bug_types arrayref
    Specified which bug types to retrieve. For example, if you are interested in ITP and RFP bugs, there is no point in downloading, parsing and storing ITA/RFA/O bugs. By default all types of bugs are processed.

METHODS

bugs_for_package(package)
    Returns a list of bugs matching the given package name. Normally the list would contain only one bug, but there are no guarantees.

SEE ALSO

Debian::WNPP::Bug
<https://www.debian.org/devel/wnpp/>

AUTHOR AND COPYRIGHT

Copyright (C) 2010 Damyan Ivanov <dmn@debian.org>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.